Community mailing list archives

Re: sequence_type and backward compatibility

Pedro M. Baeza
- 10/07/2015 08:04:49
All 8.0 modules are automatically deprecated until it's proved that all works with new version. This can be done via automated tests (another reason to have them), or manual checks.

For OCA modules, this is the procedure we have created:


2015-10-07 13:57 GMT+02:00 Fabien MORIN <>:
On Wednesday 07 October 2015 11:02:05 Antony Lesuisse wrote:
> If you really want to have the same file for both a #ifdef would work
> if openerp.release.version_info[0] >= 9:
> #define your stuff

thank you for the tip. But this is not working for xml files (which are my 

> However i would strongly recommend that you use 2 branches instead.

Ok, I didn't know the politic before, now I know and I will do this way.
Does that mean that once a new release is out, the "old" modules from the 
previous release are abandoned ? or does the improvements/bug fixes done on the 
new branch are merged with old one ?

Fabien MORIN
TeMPO Consulting
20, avenue de la Paix
67000 Strasbourg
Tel   : +33 3 88 56 82 17
Fax   : +33 9 70 63 35 46 

Post to: